  
import processing.sound.*;
import processing.serial.*;
SoundFile file;
Serial myPort;
String val;
String noise;

void setup() {
  size(640, 360);
  background(255);
  
  //Set the port your Arduino is connected to. This might be different for you.
  String portName = "COM3";
  myPort = new Serial(this, portName, 9600);
  noise = "yes"; //control string to compare the Arduino string to.
  
  // Load a soundfile from the /data folder of the sketch and play it back
  file = new SoundFile(this, "dundundun.mp3");
}      

void draw() {
  if ( myPort.available() > 0) 
  {  // If data is available,
    val = myPort.readString();     // read it and store it in val
    println(val);
    val = val.trim(); //trim the string to make sure there are no line breaks.
    if (noise.equals(val)) {
      println("Equal");  // They are equal, so this line will print
      file.play();
      delay(4000); //set this depending on the lenght of your audio fragment to make sure it doesn't overlap.
    }
  } 
}